package com.emr.dao.his;

import com.emr.entity.his.HISBA4;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA4Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA4 record);

    int insertSelective(HISBA4 record);

    HISBA4 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA4 record);

    int updateByPrimaryKey(HISBA4 record);

    List<HISBA4> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量删除
    int deleteAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量添加
    int SimpleInsert(@Param("list")List<HISBA4> list);
}